Bug 619048 - Review Request: ailurus - A simple application installer and GNOME tweaker
Summary: Review Request: ailurus - A simple application installer and GNOME tweaker
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 569492 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 12:56 UTC by Liang Suilong
Modified: 2010-08-19 13:18 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-19 13:18:15 UTC
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Liang Suilong 2010-07-28 12:56:44 UTC
SPEC: http://liangsuilong.fedorapeople.org/ailurus.spec
SRPM: http://liangsuilong.fedorapeople.org/ailurus-10.07.6-1.fc13.src.rpm

Description:

Ailurus is an application which aims at making Linux easier to use.
It provides these functionality.
* Help users study some Linux skills
* Install/remove some nice applications
* Display information about BIOS, motherboard, CPU and battery
* Configure some GNOME settings

Rpmlint is silent, and it can build on koji targeting to dist-rawhide. 

Koji Result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2354010

Now Ailurus does not contain any patent contents. I believe that it has obey Fedora Licensing Guideline.

Comment 1 Chen Lei 2010-07-28 13:20:14 UTC
*** Bug 569492 has been marked as a duplicate of this bug. ***

Comment 2 Chen Lei 2010-07-28 13:50:00 UTC
The spec file is sane, except some minor issues:

1.rpmlint ailurus.spec 
ailurus.spec: W: no-buildroot-tag
ailurus.spec:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 6)

W: mixed-use-of-spaces-and-tabs  should be fixed IMHO.

2.
%files -f %{name}.lang
%defattr(-,root,root)
->
%files -f %{name}.lang
%defattr(-,root,root,-)

Comment 3 Chen Lei 2010-07-28 13:55:21 UTC
formal review here:
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=:] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

Fixed the two minor issues and update ailurus to the lastest verion(ailurus-10.07.7) , I'll approve this package.

Comment 4 Liang Suilong 2010-07-29 13:43:56 UTC
SPEC: http://liangsuilong.fedorapeople.org/ailurus.spec
SRPM: http://liangsuilong.fedorapeople.org/ailurus-10.07.7-1.fc13.src.rpm
KOJI Result: http://koji.fedoraproject.org/koji/taskinfo?taskID=2356667

I have fixed the bugs in the spec file. Please review this package again.

Comment 5 Chen Lei 2010-07-29 13:51:53 UTC
Okay, this package is approved.

Comment 6 Liang Suilong 2010-07-29 13:59:41 UTC
New Package CVS Request
=======================
Package Name: ailurus
Short Description: A simple application installer and GNOME tweaker
Owners: liangsuilong
Branches: F-12 F-13 F-14
InitialCC: homerxing

Comment 7 Kevin Fenzi 2010-07-30 20:38:56 UTC
GIT done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.